#[doc(alias = "DNS")]
#[doc(alias = "RFC 1035")]
#[doc(alias = "RFC1035")]
#[doc(alias = "RFC 3596")]
#[doc(alias = "RFC3596")]
#[doc(alias = "RFC 6891")]
#[doc(alias = "QUERY")]
#[doc(alias = "RESPONSE")]
#[doc(alias = "TXID")]
#[doc(alias = "QNAME")]
#[doc(alias = "QTYPE")]
#[doc(alias = "RDATA")]
#[doc(alias = "RCODE")]
#[doc(alias = "ANS_TTL")]
#[derive(Debug, Clone, PartialEq, Eq, Default)]
pub struct DnsSpec<'a> {
pub is_query: bool,
pub is_response: bool,
pub txid: Option<u16>,
pub qname: Option<&'a str>,
pub qtype: Option<&'a str>,
pub rdata: Option<&'a str>,
pub rcode: Option<u8>,
pub ans_ttl: Option<u32>,
}
#[doc(alias = "MDNS")]
#[doc(alias = "RFC 6762")]
#[doc(alias = "RFC6762")]
#[doc(alias = "RFC 6763")]
#[doc(alias = "QUERY")]
#[doc(alias = "RESPONSE")]
#[doc(alias = "TXID")]
#[doc(alias = "QNAME")]
#[doc(alias = "QTYPE")]
#[doc(alias = "RDATA")]
#[doc(alias = "RCODE")]
#[doc(alias = "ANS_TTL")]
pub type MdnsSpec<'a> = DnsSpec<'a>;